{% extends '@App/base.html.twig' %}

{% block body %}
    <input type="hidden" id="filling-id" value="{{ filling.id }}"/>
    <input type="hidden" id="current-node-id" value="{{ currentNodeId }}"/>
    <input type="hidden" id="node-ids" value="{{ nodeIds|json_encode }}"/>

    {% include '@App/filling/header-part.html.twig' %}

    <div class="main-holder">
        <div class="main-block">
            <h2 class="text-uppercase each-word">Actions</h2>
            <div class="box">
                {% include '@App/filling/menu-action-part.html.twig' %}
            </div>
        </div>
        <div class="row same-height-holder">
            <!-- box-section -->
            <div class="col-md-6 col-lg-4">
                <h2 class="text-uppercase each-word">{{ 'filling.dynamicField'|trans }}</h2>
                <div class="box same-height">
                    <ul class="pager" data-current-page="1">
                        <li class="pager-previous disabled">
                            <a href="#" aria-label="Previous">
                                <span aria-hidden="true">&laquo; {{ 'filling.prev'|trans }}</span>
                            </a>
                        </li>

                        <li class="pager-next">
                            <a href="#" aria-label="Next">
                                <span aria-hidden="true">{{ 'filling.next'|trans }} &raquo;</span>
                            </a>
                        </li>
                    </ul>

                    <div class="table-holder">
                        <form id="template-fill-form" method="post">
                            {% include '@App/filling/single-fields-table-part.html.twig' %}

                            {% include '@App/filling/group-fields-table-part.html.twig' %}
                        </form>
                    </div>

                    <ul class="pager" data-current-page="1">
                        <li class="pager-previous disabled">
                            <a href="#" aria-label="Previous">
                                <span aria-hidden="true">&laquo; {{ 'filling.prev'|trans }}</span>
                            </a>
                        </li>

                        <li class="pager-next">
                            <a href="#" aria-label="Next">
                                <span aria-hidden="true">{{ 'filling.next'|trans }} &raquo;</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>

            <!-- box-section WE HIDE IT FOR NOW
            <div class="col-md-6 col-lg-4">
                <h2 class="text-uppercase each-word">New Structure</h2>
                <div class="box same-height">
                    Tree here
                </div>
            </div>-->
            <!-- box-section -->
            <div class="col-md-6 col-lg-8">
                {% include '@App/filling/preview-part.html.twig' %}
            </div>
        </div>
    </div>

{% endblock %}